.TH wxCalendarEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCalendarEvent \- See external documentation: wxCalendarEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxCalendarEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcalendar_sel_changed\fR, \fIcalendar_day_changed\fR, \fIcalendar_month_changed\fR, \fIcalendar_year_changed\fR, \fIcalendar_doubleclicked\fR, \fIcalendar_weekday_clicked\fR
.RE
.LP
See also the message variant #wxCalendar{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxDateEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCalendarEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getWeekDay(This::wxCalendarEvent()) -> WeekDay
.br
.RS
.TP
Types
WeekDay = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarevent\&.html#wxcalendareventgetweekday>\&. 
.br
 WeekDay is one of ?wxDateTime_Sun | ?wxDateTime_Mon | ?wxDateTime_Tue | ?wxDateTime_Wed | ?wxDateTime_Thu | ?wxDateTime_Fri | ?wxDateTime_Sat | ?wxDateTime_Inv_WeekDay
.RE
